Avx Corporation

Κατηγορία: Coils and Transformers United States
Cage Code: 96095
Κωδικός τύπου: A
Σελίδα: 1 of 1
Είδος
Εθνικός αριθμός αποθέματος
Περιγραφή στοιχείου
Αριθμός ανταλλακτικού:
CH277 ραδιοσυχνοτήτων
Πηνίο ραδιοσυχνοτήτων
Αριθμός ανταλλακτικού:
RFC124 ραδιοσυχνοτήτων
Πηνίο ραδιοσυχνοτήτων
Αριθμός ανταλλακτικού:
RFC111 ραδιοσυχνοτήτων
Πηνίο ραδιοσυχνοτήτων
Αριθμός ανταλλακτικού:
RFC169 ραδιοσυχνοτήτων
Πηνίο ραδιοσυχνοτήτων
Αριθμός ανταλλακτικού:
RFC120 ραδιοσυχνοτήτων
Πηνίο ραδιοσυχνοτήτων
Αριθμός ανταλλακτικού:
RFC103 ραδιοσυχνοτήτων
Πηνίο ραδιοσυχνοτήτων
Αριθμός ανταλλακτικού:
RFC136 ραδιοσυχνοτήτων
Πηνίο ραδιοσυχνοτήτων
Αριθμός ανταλλακτικού:
69-1411 Αντιδραστήρας
Αντιδραστήρας
Αριθμός ανταλλακτικού:
BLM21AJ601SN1D ραδιοσυχνοτήτων
Πηνίο ραδιοσυχνοτήτων
  • Σελίδα:  
  • 1
Σύγκριση τώρα»
Σαφής | Κρύβω